# [Office UI Fabric Core](http://dev.office.com/fabric)

##### The front-end framework for building experiences for Office and Office 365.

Fabric is a responsive, mobile-first collection of styles and tools designed to make it quick and simple for you to create web experiences using the Office Design Language.

**Latest version:** 7.1.0


## Contents

- [What's included](#whats-included)
- [Get started](#get-started)
- [Learn more](#learn-more)
- [Contribute to Fabric](#contribute-to-fabric)
- [Licenses](#licenses)
- [Changelog](#changelog)

## What's included
This repository contains the core styles used across all aspects of Fabric including icons, type, fonts, colors, the grid, etc. If you have any issues or pull requests related to the JS components, please do so in the [Office UI Fabric JS repository](https://github.com/OfficeDev/office-ui-fabric-js). For more information about the React components, check out the [Office UI Fabric React repository](https://github.com/OfficeDev/office-ui-fabric-react).

For documentation on Fabric's last stable version that included components, check out the [Fabric 2.6.1 get started guide](https://github.com/OfficeDev/office-ui-fabric-core/blob/master/ghdocs/V2GETSTARTED.md).


## Get started
For a quick start, reference the latest release of Fabric from a CDN or add a copy to your project. See [get started](http://dev.office.com/fabric#/get-started) on the [Office UI Fabric site](http://dev.office.com/fabric#/) for full details on the most common ways to get started with the core along with a description of what's included.

If you'd like to get Fabric through a package manager such as Bower, npm, or NuGet, check out the [package manager docs](https://github.com/OfficeDev/office-ui-fabric-core/blob/master/ghdocs/PACKAGES.md).

Want to customize Fabric for your project? See [building Fabric](https://github.com/OfficeDev/Office-UI-Fabric/blob/master/ghdocs/BUILDING.md) to learn about the build process.


## Learn more

New to Fabric? Start with [the project's site](http://dev.office.com/fabric#/) to understand its purpose, and then explore the full set of [styles](http://dev.office.com/fabric#/styles) to get a feel for what you can build. UI components are contained in separate projects and come in two flavors provided by the Fabric team: [JavaScript (Office UI Fabric JS)](https://github.com/OfficeDev/office-ui-fabric-js) and [React (Office UI Fabric React)](https://github.com/OfficeDev/office-ui-fabric-react).

When you're ready to create an Office Add-in with Fabric, take a look at the [Use Office UI Fabric with Office Add-ins on MSDN](https://msdn.microsoft.com/EN-US/library/office/mt450443.aspx) article.

## Trello board

Fabric Core contains a variety of fundamental elements of the Office / Office 365 design language. If you're not seeing a feature or icon here that you'd like, first check out the [Office UI Fabric Core Requests board](https://trello.com/b/sPTXiMzG/office-ui-fabric-core-requests) and upvote it there (if it exists), or file an [issue on Fabric Core's issue tracker](https://github.com/OfficeDev/office-ui-fabric-core/issues) to kick off a new request.

## Contribute to Fabric

Bug reports, feature requests, and questions are posted on the [issue tracker](https://github.com/OfficeDev/Office-UI-Fabric-core/issues). For details on our contribution process and how we label issues, see our [contributing](https://github.com/OfficeDev/Office-UI-Fabric/blob/master/ghdocs/CONTRIBUTING.md) page.


## Licenses

All files in this GitHub repository are subject to the [MIT license](https://github.com/OfficeDev/office-ui-fabric-core/blob/master/LICENSE). This project also references fonts and icons from a CDN, which are subject to a separate [asset license](https://static2.sharepointonline.com/files/fabric/assets/license.txt).


## Changelog
We use [GitHub Releases](https://github.com/blog/1547-release-your-software) to manage our releases, including the changelog between every release. View a complete list of additions, fixes, and changes since 1.0 on the [releases](https://github.com/OfficeDev/Office-UI-Fabric/releases) page.

- - - 

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/). For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.
